SDL_HintCallback(3type)

NAME
SDL_HintCallback - Type definition of the hint callback function.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef void (SDLCALL *SDL_HintCallback)(void *userdata, const char *name, const char *oldValue, const char *newValue);

FUNCTION PARAMETERS

userdata
    what was passed as userdata to SDL_AddHintCallback ()

name
    what was passed as name to SDL_AddHintCallback ()

oldValue
    the previous hint value

newValue
    the new value hint is to be set to

AVAILABILITY
This datatype is available since SDL 3.0.0.